<?php
/**
 * WPBookit Template Hooks
 *
 * Action/filter hooks used for WPBookit functions/templates.
 *
 * @package WPBookit\Templates
 * @version 1.0.4
 */

defined( 'ABSPATH' ) || exit;


/**
 *
 * Profile
*/
add_action('wpbookit_edit_profile_hook','wpbookit_edit_profile',10);
add_action('wpbookit_bookings_history_hook','wpbookit_bookings_history',10);
add_action('wpbookit_upcoming_bookings_hook','wpbookit_upcoming_bookings',10,1);
add_action('wpbookit_pending_bookings_hook','wpbookit_pending_bookings',10);
add_action('wpbookit_booking_no_upcoming_hook','wpbookit_booking_no_upcoming',10,1);
add_action('wpbookit_booking_no_pending_hook','wpbookit_booking_no_pending',10,1);
add_action('wpbookit_booking_no_history_hook','wpbookit_booking_no_history',10,1);

/**
 * Booking-Types
 */
add_action('wpbookit_booking_types_hook','wpbookit_booking_types',10);


add_action('wpbookit_bookings_timeslot_hook','wpbookit_bookings_timeslot',10);
add_action('wpbookit_booking_shortcode_tabs_hook','wpbookit_booking_shortcode_tabs_render',10);

add_action('wpbookit_booking_shortcode_detail_tab','wpbookit_booking_shortcode_detail_tab_render',10);
add_action('wpbookit_booking_shortcode_payment_tab','wpbookit_booking_shortcode_payment_tab_render',10);
add_action('wpbookit_booking_shortcode_model_pagination','wpbookit_booking_shortcode_model_pagination_render',10);


add_action('wpbookit_booking_shortcode_after','wpbookit_bookings_model',10);


add_action('wpbookit_add_booking_type_form','wpbookit_add_booking_type_form',10);

add_action('wpbookit_booking_shortcode_form','wpbookit_booking_shortcode_form',10);
add_action('wpbookit_booking_shortcode_form_question_type','wpbookit_booking_shortcode_form_question_type',10);
add_action('wpbookit_booking_shortcode_user_name_fields','wpbookit_booking_shortcode_user_name_fields',10);

/**
 * Staff setting fields
 */

add_action( 'wpbookit_add_navbar_menu', 'wpbookit_staff_navbar_menu_filter' );